
dnl
dnl  Find perl and make sure it's perl5
dnl $Id: configure.in.perl,v 1.4 2002/10/25 21:50:28 johnh Exp $
dnl

AC_ARG_WITH(perl,	--with-perl=path specify a pathname for perl, d=$withval, d="")

PERL_VERSION=5.000

PERL_PLACES=`echo $PATH | sed 's/:/ /g'`


dnl
dnl CHECK_PERL_VERSION(PATHNAME,VERSION)
dnl
AC_DEFUN(CHECK_PERL_VERSION,
AC_TRY_RUN
[
echo $[$1] -e "require $[$2]" >/dev/null 2>&1
if $[$1] -e "require $[$2]" >/dev/null 2>&1
then
    : good version
else
    : non-good version => zero pathname
    [$1]=''
fi
])

NS_CHECK_ANY_PATH(perl,$PERL_PLACES,$d,$d,PERL,no)
if test "x$PERL" != x
then
    PERL=$PERL/perl
    CHECK_PERL_VERSION(PERL,PERL_VERSION)
fi

dnl fall back on ``perl5''
if test "x$PERL" = "x"
then
    NS_CHECK_ANY_PATH(perl5,$PERL_PLACES,$d,$d,PERL,no)
    if test "x$PERL" != "x"
    then
	PERL=$PERL/perl5
        CHECK_PERL_VERSION(PERL,5.003)
    fi
fi

if test "x$PERL" = x
then
    AC_MSG_ERROR(Cannot find Perl 5.)
fi


